Bug 995566 - Dracut appears not to work with encrypted root
Dracut appears not to work with encrypted root
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 14:06 EDT by Bruno Wolff III
Modified: 2013-08-13 00:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 00:53:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initramfs info (72.32 KB, text/plain)
2013-08-09 14:06 EDT, Bruno Wolff III
no flags Details
journctl -a output (62.61 KB, text/plain)
2013-08-09 14:09 EDT, Bruno Wolff III
no flags Details
dmesg output (42.21 KB, text/plain)
2013-08-09 14:09 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Bruno Wolff III 2013-08-09 14:06:37 EDT
Created attachment 784940 [details]
initramfs info

Description of problem:
Booting fails before prompting for luks pass phrases.

Version-Release number of selected component (if applicable):
dracut-031-7.git20130801.fc20.i686

How reproducible:
100 %

Steps to Reproduce:
1. Reboot using a initramfs image built with this version of dracut
2.
3.

Actual results:
Boot fails
Comment 1 Bruno Wolff III 2013-08-09 14:08:14 EDT
dracut-031-22.git20130809.fc20.i686 fails after the pass phrase prompt, but the boot also fails. So it's possible that this bug is fixed, but it's hard to say for sure.
Comment 2 Bruno Wolff III 2013-08-09 14:09:01 EDT
Created attachment 784941 [details]
journctl -a output
Comment 3 Bruno Wolff III 2013-08-09 14:09:44 EDT
Created attachment 784942 [details]
dmesg output
Comment 4 Harald Hoyer 2013-08-12 07:07:17 EDT
please retry with dracut-031-28.git20130812.fc20
Comment 5 Bruno Wolff III 2013-08-12 11:01:50 EDT
Thanks. I'll test it tonight when I have physical access to the machine again. That's currently my only rawhide machine.
Comment 6 Bruno Wolff III 2013-08-13 00:53:45 EDT
This does appear to be fixed for initramfs images built with dracut-031-29.git20130812.fc20.i686.

Note You need to log in before you can comment on or make changes to this bug.